# FillLayerResetCommand (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.common.table

## Class FillLayerResetCommand

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.common.table.FillLayerResetCommand

- All Implemented Interfaces:
    org.eclipse.nebula.widgets.nattable.command.ILayerCommand

      public class FillLayerResetCommand
      extends java.lang.Object
      implements org.eclipse.nebula.widgets.nattable.command.ILayerCommand

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FillLayerResetCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.nebula.widgets.nattable.command.ILayerCommand` | `cloneCommand()`
    `boolean` | `convertToTargetLayer(org.eclipse.nebula.widgets.nattable.layer.ILayer targetLayer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FillLayerResetCommand

          public FillLayerResetCommand()

  - ### Method Detail

    - #### cloneCommand

          public org.eclipse.nebula.widgets.nattable.command.ILayerCommand cloneCommand()

      Specified by:
        `cloneCommand` in interface `org.eclipse.nebula.widgets.nattable.command.ILayerCommand`

    - #### convertToTargetLayer

          public boolean convertToTargetLayer(org.eclipse.nebula.widgets.nattable.layer.ILayer targetLayer)

      Specified by:
        `convertToTargetLayer` in interface `org.eclipse.nebula.widgets.nattable.command.ILayerCommand`